org.springframework.data.auditing.config

## Class IsNewAwareAuditingHandlerBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.springframework.data.auditing.config.AuditingHandlerBeanDefinitionParser
      - - org.springframework.data.auditing.config.IsNewAwareAuditingHandlerBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class IsNewAwareAuditingHandlerBeanDefinitionParser
    extends AuditingHandlerBeanDefinitionParser

`AuditingHandlerBeanDefinitionParser` that will register am `IsNewAwareAuditingHandler`. Needs to get the bean id of the `MappingContext` it shall refer to.

Since:
  1.5
Author:
  Oliver Gierke

### Field Summary

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`IsNewAwareAuditingHandlerBeanDefinitionParser(String mappingContextBeanName)` Creates a new `IsNewAwareAuditingHandlerBeanDefinitionParser`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Class<?>` `getBeanClass(Element element)`

### Methods inherited from class org.springframework.data.auditing.config.AuditingHandlerBeanDefinitionParser

`doParse, getResolvedBeanName, resolveId, shouldGenerateId`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IsNewAwareAuditingHandlerBeanDefinitionParser

    public IsNewAwareAuditingHandlerBeanDefinitionParser(String mappingContextBeanName)

Creates a new `IsNewAwareAuditingHandlerBeanDefinitionParser`.

Parameters:
  `mappingContextBeanName` - must not be null or empty.

### Method Detail

#### getBeanClass

    protected Class<?> getBeanClass(Element element)

Overrides:
  `getBeanClass` in class `AuditingHandlerBeanDefinitionParser`